Package org.opensaml.xmlsec.algorithm.descriptors

# Class BlockEncryptionAES256CBC

java.lang.Object
org.opensaml.xmlsec.algorithm.descriptors.BlockEncryptionAES256CBC

All Implemented Interfaces:
  `AlgorithmDescriptor`, `BlockEncryptionAlgorithm`, `KeyLengthSpecifiedAlgorithm`, `KeySpecifiedAlgorithm`

public final class BlockEncryptionAES256CBC extends Object implements BlockEncryptionAlgorithm
Algorithm descriptor for block encryption algorithm: AES-256-CBC.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`AlgorithmDescriptor.AlgorithmType`

## Constructor Summary

Constructors
Constructor
Description
`BlockEncryptionAES256CBC()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCipherMode()`
Get the JCA cipher mode specified by this algorithm.
`String`
`getJCAAlgorithmID()`
Get the algorithm's JCA algorithm ID.
`String`
`getKey()`
Get the JCA key type specified by this algorithm.
`int`
`getKeyLength()`
Get the length of the key specified by this algorithm.
`String`
`getPadding()`
Get the JCA padding algorithm specified by this algorithm.
`AlgorithmDescriptor.AlgorithmType`
`getType()`
Get the algorithm URI's fundamental type.
`String`
`getURI()`
Get the algorithm's identifying URI.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockEncryptionAES256CBC

public BlockEncryptionAES256CBC()

## Method Details

### getKey

@Nonnull public String getKey()
Get the JCA key type specified by this algorithm.

Specified by:
  `getKey` in interface `KeySpecifiedAlgorithm`
Returns:
  the key type

### getURI

@Nonnull public String getURI()
Get the algorithm's identifying URI.

Specified by:
  `getURI` in interface `AlgorithmDescriptor`
Returns:
  the algorithm URI

### getType

@Nonnull public AlgorithmDescriptor.AlgorithmType getType()
Get the algorithm URI's fundamental type.

Specified by:
  `getType` in interface `AlgorithmDescriptor`
Returns:
  a type specified with `AlgorithmDescriptor.AlgorithmType`

### getJCAAlgorithmID

@Nonnull public String getJCAAlgorithmID()
Get the algorithm's JCA algorithm ID.

Specified by:
  `getJCAAlgorithmID` in interface `AlgorithmDescriptor`
Returns:
  the JCA algorithm ID

### getKeyLength

public int getKeyLength()
Get the length of the key specified by this algorithm.

Specified by:
  `getKeyLength` in interface `KeyLengthSpecifiedAlgorithm`
Returns:
  the specified key length

### getCipherMode

@Nonnull public String getCipherMode()
Get the JCA cipher mode specified by this algorithm.

Specified by:
  `getCipherMode` in interface `BlockEncryptionAlgorithm`
Returns:
  the cipher mode

### getPadding

@Nonnull public String getPadding()
Get the JCA padding algorithm specified by this algorithm.

Specified by:
  `getPadding` in interface `BlockEncryptionAlgorithm`
Returns:
  the padding algorithm